#ifndef OBSTACLE_H
#define OBSTACLE_H

#include "Platform.h"

using namespace Salamander;

class CameraEvent;

class Obstacle : public Platform
{
public:
    Obstacle(std::string filename);
    virtual ~Obstacle();

    virtual void frame();

private:
	void onCameraEvent(const CameraEvent& event);

private:
	double speed_;
};


#endif // OBSTACLE_H
